## org.eclipse.emf.cdo.view
Interface CDOAudit

All Superinterfaces:
  CDOCommonView, CDOView, org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.options.IOptionsContainer

    public interface CDOAudit

extends CDOView

A read-only `view` to a historical state of the object graph in the repository specified by a time stamp (i.e. an arbitrary point in the lifetime of the repository).

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOView
`CDOView.Options`

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`CDOCommonView.Type`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`UNSPECIFIED_DATE`

Method Summary
`long` `getTimeStamp()` Returns the point in (repository) time this audit view is currently referring to.
`void` `setTimeStamp(long timeStamp)` Sets the point in (repository) time this audit view should refer to.

Methods inherited from interface org.eclipse.emf.cdo.view.CDOView
`createQuery, getLock, getObject, getObject, getObject, getResource, getResource, getResourceNode, getResourceSet, getRootResource, getSession, getURIHandler, getViewSet, hasConflict, hasResource, isDirty, isObjectRegistered, lockObjects, options, queryResources, queryResourcesAsync, reload, unlockObjects, unlockObjects`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`getViewID, getViewType`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Method Detail

### getTimeStamp

    long getTimeStamp()

  Returns the point in (repository) time this audit view is currently referring to. `Objects` provided by this view are `valid` at this time.

  Specified by:
    `getTimeStamp` in interface `CDOCommonView`

### setTimeStamp

    void setTimeStamp(long timeStamp)

  Sets the point in (repository) time this audit view should refer to. `Objects` provided by this view will be `valid` at this time.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.